package com.brilliance.isc.vo.lg;


import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Trnmod;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @author liyu
 * @date 2023.05.18 10:00
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitcomStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;


    private Gidgrp oldgidgrp;

    private ComselVo comsel;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }

        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
    }

}
